Bug 203525 - cmod models do not show up
cmod models do not show up
Product: Fedora
Classification: Fedora
Component: celestia (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-22 06:05 EDT by Maurizio Paolini
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-22 17:54:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Spec which uses proper optflags and no longer causes rerunning of autoxxx (7.67 KB, text/plain)
2006-11-22 08:27 EST, Hans de Goede
no flags Details
PATCH: fixing build without -fno-strict-aliasing (367 bytes, patch)
2006-11-22 08:28 EST, Hans de Goede
no flags Details | Diff

  None (edit)
Description Maurizio Paolini 2006-08-22 06:05:56 EDT
Description of problem:

cmod models (eg phobos, deimos, amalthea) do not show up

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start celestia
2.press enter
3.enter "phobos", press enter
4.press "g"
Actual results:

nothing appears

Expected results:

the surface of phobos should be visible

Additional info:

the problem is the same as for the 3ds models fixed some time ago;
a workaround is to add "CXXFLAGS=-fno-strict-aliasing" in the
spec file like this:

%configure --with-gnome --with-lua CXXFLAGS=-fno-strict-aliasing

see also bug report 171636
Comment 1 Steven Pritchard 2006-08-22 12:49:44 EDT
-fno-strict-aliasing seems to work around the issue.  Several people on the
celestia forums have made some progress debugging the real issue though.


For reference, these seem to be reports of essentially the same bug:


I'm rebuilding with -fno-strict-aliasing now (1.4.1-5.fc5), which should "fix"
the problem, but I'm going to leave this open to remind myself to find a proper fix.
Comment 2 Hans de Goede 2006-11-22 08:24:51 EST

Someone (I think it was you Steven) requested that my students take a look at
this. They have, unfortunately they didn't have the time to completly follow
through so I've done the last step.

There are actually 2 problems:
1) celestia gets build with rather non standard optflags, I'll attach a modified
   version of the specfile which fixes configure so that it no longer does this.
   This new specfile also stops autoxxx from rerunning because of applied 
   patches. This means that the automake17 BR also is no longer necesarry
2) There is a strict alias bug in the code for which I've written a fix, which
   I'll also attach. Please send this upstream. Note that the modified specfile
   doesn't include this patch.

Comment 3 Hans de Goede 2006-11-22 08:27:30 EST
Created attachment 141900 [details]
Spec which uses proper optflags and no longer causes rerunning of autoxxx

I forgot to mention that using the proper optflags is important, because
without this -fomit-frame-pointer gets passed, which results in an undebugable
Comment 4 Hans de Goede 2006-11-22 08:28:23 EST
Created attachment 141901 [details]
PATCH: fixing build without -fno-strict-aliasing
Comment 5 Steven Pritchard 2006-11-22 17:54:46 EST
Thanks for the debugging.  :-)

I'm building an update for FC-5, FC-6, and devel now.

I also sent the patch upstream.

Note You need to log in before you can comment on or make changes to this bug.